VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
FinalAction< Proc > Class Template Reference

## Public Member Functions
| FinalAction (Proc action) noexcept
| FinalAction (FinalAction &&other) noexcept
| FinalAction (const FinalAction &)=delete
FinalAction & | operator= (const FinalAction &)=delete
FinalAction & | operator= (FinalAction &&)=delete
| ~FinalAction () noexcept

## Constructor & Destructor Documentation

FinalAction | ( | Proc | action | ) |
| inline explicit noexcept

FinalAction | ( | FinalAction< Proc > && | other | ) |
| inline noexcept

FinalAction | ( | const FinalAction< Proc > & |  | ) |
| delete

~FinalAction | ( |  | ) |
| inline noexcept

## Member Function Documentation

FinalAction& operator= | ( | const FinalAction< Proc > & |  | ) |
| delete

FinalAction& operator= | ( | FinalAction< Proc > && |  | ) |
| delete

The documentation for this class was generated from the following file:

- finally.h